import MapData from './model/data/MapData';
import MapState from './model/state/MapState';

import {loadMap} from './view/MapLoader';
import Renderer from './view/renderer/Renderer';

window.onload = () => {
	const canvas = document.getElementById('rpgedit') as HTMLCanvasElement;
	if (!canvas)
		return;

	const renderer = new Renderer(canvas);

	const xhr = new XMLHttpRequest();

	xhr.addEventListener('load', async function() {
		const mapData = new MapData(JSON.parse(this.responseText));
		const map = new MapState(mapData);

		const mapView = await loadMap(renderer, map);
		mapView.draw();
	});

	xhr.open('GET', 'resources/map/test.json', true);
	xhr.send();
};
