import {mapFromObject} from '../../util';

interface Input {
	readonly tiles: {[key: string]: string};
	readonly collision: string[];
	readonly layers: string[][][];
}

export default class MapData {
	public readonly tiles: Map<string, string>;
	public readonly collision: string[];
	public readonly layers: string[][][];

	public readonly width: number;
	public readonly height: number;

	constructor(data: Input) {
		this.tiles = mapFromObject(data.tiles);
		this.collision = data.collision;
		this.layers = data.layers;

		this.height = this.collision.length;
		this.width = this.collision[0].length;
	}
}
